diff lib-src/tm-ps @ 4:b82b59fe008d r19-15b3

Import from CVS: tag r19-15b3
author cvs
date Mon, 13 Aug 2007 08:46:56 +0200
parents
children 49a24b4fd526
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib-src/tm-ps	Mon Aug 13 08:46:56 2007 +0200
@@ -0,0 +1,48 @@
+#!/bin/sh -
+#
+# $Id: tm-ps,v 1.1.1.1 1996/12/18 03:52:12 steve Exp $
+#
+# Copyright 1994, 1995, 1996 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with GNU Emacs; see the file COPYING.  If not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+if [ "$TM_TMP_DIR" = "" ]; then
+	TM_TMP_DIR=/tmp
+	export TM_TMP_DIR
+fi
+if [ "$5" = "" ]; then
+	filename="$TM_TMP_DIR/mime$$.pln"
+else
+	filename="$TM_TMP_DIR/$5"
+fi
+
+case "$4" in
+"play")
+	echo "$2; $3 -> $filename"
+	tmdecode $3 $1 $filename
+	ghostview $filename
+	trap 'rm -f $filename' 0 1 2 3 13 15
+	;;
+"extract")
+	echo "$2; $3 -> $filename"
+	echo "extract to $filename"
+	tmdecode "$3" "$1" $filename
+	;;
+"print")
+	echo "$2; $3 ->"
+	tmdecode "$3" "$1" /dev/stdout | lpr
+	;;
+esac